# Querying Dump Task Details

#### Function

This API is used to query dump task details.

#### URI

GET /v2/{project_id}/streams/{stream_name}/transfer-tasks/{task_name}

Table 1 Path parameters
Parameter | Mandatory | Type | Description
--- | --- | --- | ---
project_id | Yes | String | Project ID.
stream_name | Yes | String | Name of the stream.
task_name | Yes | String | Name of the dump task to be deleted.

#### Request Parameters

Table 2 Request header parameters
Parameter | Mandatory | Type | Description
--- | --- | --- | ---
X-Auth-Token | Yes | String | User token. The token can be obtained by calling the IAM API (value of X-Subject-Token in the response header).

#### Response Parameters

Status code: 200

Table 3 Response body parameters
Parameter | Type | Description
--- | --- | ---
stream_name | String | Name of the stream to which the dump task belongs.
task_name | String | Name of the dump task.

state

String

Dump task status. Possible values:

- ERROR: An error occurs.
- STARTING: The dump task is being started.
- PAUSED: The dump task has been stopped.
- RUNNING: The dump task is running.
- DELETE: The dump task has been deleted.
- ABNORMAL: The dump task is abnormal.

Enumeration values:

- ERROR
- STARTING
- PAUSED
- RUNNING
- DELETE
- ABNORMAL

destination_type

String

Dump destination. Possible values:

- OBS: Data is dumped to OBS.
- MRS: Data is dumped to MRS.
- DLI: Data is dumped to DLI.
- CLOUDTABLE: Data is dumped to CloudTable.
- DWS: Data is dumped to DWS.

Enumeration values:

- OBS
- MRS
- DLI
- CLOUDTABLE
- DWS

create_time | Long | Time when the dump task is created.
last_transfer_timestamp | Long | Latest dump time of the dump task.
partitions | Array of PartitionResult objects | List of partition dump details.
obs_destination_description | OBSDestinationDescriptorRequest object | Parameter list of OBS to which data in the DIS stream will be dumped.
dws_destination_descripton | DWSDestinationDescriptorRequest object | Parameter list of the DWS to which data in the DIS stream will be dumped.
mrs_destination_description | MRSDestinationDescriptorRequest object | Parameter list of the MRS to which data in the DIS stream will be dumped.
dli_destination_description | DliDestinationDescriptorRequest object | Parameter list of the DLI to which data in the DIS stream will be dumped.
cloudtable_destination_descripton | CloudtableDestinationDescriptorRequest object | Parameter list of the CloudTable to which data in the DIS stream will be dumped.

Table 4 PartitionResult
Parameter | Type | Description
--- | --- | ---

status

String

Current status of the partition. Possible values:

- CREATING: The stream is being created.
- ACTIVE: The stream is available.
- DELETED: The stream is being deleted.
- EXPIRED: The stream has expired.

Enumeration values:

- CREATING
- ACTIVE
- DELETED
- EXPIRED

partition_id | String | Unique identifier of the partition.
hash_range | String | Possible value range of the hash key used by the partition.
sequence_number_range | String | Sequence number range of the partition.
parent_partitions | String | Parent partition.

Table 5 OBSDestinationDescriptorRequest
Parameter | Type | Description
--- | --- | ---
task_name | String | Name of the dump task. The task name consists of letters, digits, hyphens (-), and underscores (_). It must be a string of 1 to 64 characters.

agency_name

String

Name of the agency created on IAM. DIS uses an agency to access your specified resources. The parameters for creating an agency are as follows:

- Agency Type: Cloud service
- Cloud Service: DIS
- Validity Period: unlimited
- Scope: Global service, Project: OBS. Select the Tenant Administrator role for the global service project.

If agencies have been created, you can obtain available agencies from the agency list by using the "Listing Agencies " API.

This parameter cannot be left blank and the parameter value cannot exceed 64 characters.

If there are dump tasks on the console, the system displays a message indicating that an agency will be automatically created. The name of the automatically created agency is dis_admin_agency.

Maximum: 64

deliver_time_interval | Integer | User-defined interval at which data is imported from the current DIS stream into OBS. If no data is pushed to the DIS stream during the current interval, no dump file package will be generated. Value range: 30-900 Default value: 300 Unit: second Minimum: 30 Maximum: 900 Default: 300

consumer_strategy

String

Offset.

- LATEST: Maximum offset, indicating that the latest data will be extracted.
- TRIM_HORIZON: Minimum offset, indicating that the earliest data will be extracted.

Default value: LATEST

Default: LATEST

Enumeration values:

- LATEST
- TRIM_HORIZON

file_prefix | String | Directory to store files that will be dumped to OBS. Different directory levels are separated by slashes (/) and cannot start with slashes. The value can contain a maximum of 50 characters, including letters, digits, underscores (_), and slashes (/). This parameter is left empty by default. Maximum: 50

partition_format

String

Directory structure of the object file written into OBS. The directory structure is in the format of yyyy/MM/dd/HH/mm (time at which the dump task was created).

- N/A: Leave this parameter empty, indicating that the date and time directory is not used.
- yyyy: year
- yyyy/MM: year/month
- yyyy/MM/dd: year/month/day
- yyyy/MM/dd/HH: year/month/day/hour
- yyyy/MM/dd/HH/mm: year/month/day/hour/minute

Example: in 2017/11/10/14/49, the directory structure is 2017 > 11 > 10 > 14 > 49. 2017 indicates the outermost folder.

Default value: empty.

Note:

After data is successfully dumped, the directory structure is obs_bucket_path/file_prefix/partition_format.

Enumeration values:

- yyyy
- yyyy/MM
- yyyy/MM/dd
- yyyy/MM/dd/HH
- yyyy/MM/dd/HH/mm

obs_bucket_path | String | Name of the OBS bucket used to store data from the DIS stream.

destination_file_type

String

Dump file format. Possible values:

- Text (default)
- Parquet
- CarbonData

Note:

You can select Parquet or CarbonData only when Source Data Type is set to JSON and Dump Destination is set to OBS.

Default: text

Enumeration values:

- text
- parquet
- carbon

processing_schema | ProcessingSchema object | Dump time directory generated based on the timestamp of the source data and the configured partition_format. Directory structure of the object file written into OBS. The directory structure is in the format of yyyy/MM/dd/HH/mm.

record_delimiter

String

Delimiter for the dump file, which is used to separate the user data that is written into the dump file.

Value range:

- Comma (,), which is the default value
- Semicolon (;)
- Vertical bar (|)
- Newline character (\n)

Default: \n

Table 6 ProcessingSchema
Parameter | Type | Description
--- | --- | ---
timestamp_name | String | Attribute name of the source data timestamp.

timestamp_type

String

Type of the source data timestamp.

- String
- Timestamp: 13-bit timestamp of the long type

timestamp_format

String

OBS directory generated based on the timestamp format. This parameter is mandatory when the timestamp type of the source data is String.

Value range:

- yyyy/MM/dd HH:mm:ss
- MM/dd/yyyy HH:mm:ss
- dd/MM/yyyy HH:mm:ss
- yyyy-MM-dd HH:mm:ss
- MM-dd-yyyy HH:mm:ss
- dd-MM-yyyy HH:mm:ss

Enumeration values:

- yyyy/MM/dd HH:mm:ss
- MM/dd/yyyy HH:mm:ss
- dd/MM/yyyy HH:mm:ss
- yyyy-MM-dd HH:mm:ss
- MM-dd-yyyy HH:mm:ss
- dd-MM-yyyy HH:mm:ss

Table 7 DWSDestinationDescriptorRequest
Parameter | Type | Description
--- | --- | ---
task_name | String | Name of the dump task. The task name consists of letters, digits, hyphens (-), and underscores (_). It must be a string of 1 to 64 characters.

agency_name

String

Name of the agency created on IAM. DIS uses an agency to access your specified resources. The parameters for creating an agency are as follows:

- Agency Type: Cloud service
- Cloud Service: DIS
- Validity Period: unlimited
- Scope: Global service, Project: OBS. Select the Tenant Administrator role for the global service project.

If agencies have been created, you can obtain available agencies from the agency list by using the "Listing Agencies " API.

This parameter cannot be left blank and the parameter value cannot exceed 64 characters.

If there are dump tasks on the console, the system displays a message indicating that an agency will be automatically created. The name of the automatically created agency is dis_admin_agency.

Maximum: 64

deliver_time_interval | Integer | User-defined interval at which data is imported from the current DIS stream into OBS. If no data is pushed to the DIS stream during the current interval, no dump file package will be generated. Value range: 30-900 Default value: 300 Unit: second Minimum: 30 Maximum: 900 Default: 300

consumer_strategy

String

Offset.

- LATEST: Maximum offset, indicating that the latest data will be extracted.
- TRIM_HORIZON: Minimum offset, indicating that the earliest data will be extracted.

Default value: LATEST

Default: LATEST

Enumeration values:

- LATEST
- TRIM_HORIZON

dws_cluster_name | String | Name of the DWS cluster that stores the data in the stream.
dws_cluster_id | String | ID of the DWS cluster to which will be dumped.
dws_database_name | String | Name of the DWS database that stores the data in the stream.
dws_schema | String | Schema of the DWS database to which data will be dumped.
dws_table_name | String | Name of the DWS table that stores the data in the stream.
dws_delimiter | String | Delimiter used to separate the columns in the DWS tables. The value can be a comma (,), semicolon (;), or vertical bar (|).
user_name | String | Username of the DWS database to which data will be dumped.
user_password | String | Password of the DWS database to which data will be dumped.
kms_user_key_name | String | Key created in Key Management Service (KMS) and used to encrypt the password of the DWS database.
kms_user_key_id | String | ID of the key created in KMS and used to encrypt the password of the DWS database.
obs_bucket_path | String | Name of the OBS bucket used to temporarily store data in the DIS stream.
file_prefix | String | Self-defined directory created in the OBS bucket and used to temporarily store data in the DIS stream. Directory levels are separated by slashes (/) and cannot start with slashes. The value can contain a maximum of 50 characters, including letters, digits, underscores (_), and slashes (/). This parameter is left empty by default.
retry_duration | String | Duration when you can constantly retry dumping data to DWS after the dump fails. If the dump time exceeds the value of this parameter, the data that fails to be dumped to DWS will be backed up to the OBS bucket/file_prefix/dws_error directory. Value range: 0-7,200 Unit: second Default value: 1,800
dws_table_columns | String | Column to be dumped to the DWS table. If the value is null or empty, all columns are dumped by default. For example, c1,c2 indicates that columns c1 and c2 in the schema are dumped to DWS. This parameter is left blank by default.
options | Options object | DWS fault tolerance option (used to specify various parameters of foreign table data).

Table 8 Options
Parameter | Type | Description
--- | --- | ---

fill_missing_fields

String

Specifies whether to set the field to Null or enable an error message to be displayed in the error table when the last field in a row of the data source file is missing during database import.

Value range:

- true/on
- false/off

Default value: false/off

Enumeration values:

- true/on
- false/off

ignore_extra_data

String

Specifies whether to ignore excessive columns when the number of columns in a source data file exceeds that defined in the foreign table. This parameter is used only during data import.

Value range:

- true/on
- false/off

Default value: false/off

Enumeration values:

- true/on
- false/off

compatible_illegal_chars

String

Specifies whether to tolerate invalid characters during data import. Specifies whether to convert invalid characters based on the conversion rule and import them to the database, or to report an error and stop the import.

Value range:

- true/on
- false/off

Default value: false/off

Enumeration values:

- true/on
- false/off

reject_limit

String

Maximum number of data format errors allowed during the data import. If the number of data format errors does not reach the maximum, the data import is successful.

Value range:

- integer
- unlimited

Default value: 0, indicating that error information is returned immediately

error_table_name | String | Name of the error table that records data format errors. After the parallel import is complete, you can query the error information table to obtain the detailed error information.

Table 9 MRSDestinationDescriptorRequest
Parameter | Type | Description
--- | --- | ---
task_name | String | Name of the dump task. The task name consists of letters, digits, hyphens (-), and underscores (_). It must be a string of 1 to 64 characters.

agency_name

String

Name of the agency created on IAM. DIS uses an agency to access your specified resources. The parameters for creating an agency are as follows:

- Agency Type: Cloud service
- Cloud Service: DIS
- Validity Period: unlimited
- Scope: Global service, Project: OBS. Select the Tenant Administrator role for the global service project.

If agencies have been created, you can obtain available agencies from the agency list by using the "Listing Agencies " API.

This parameter cannot be left blank and the parameter value cannot exceed 64 characters.

If there are dump tasks on the console, the system displays a message indicating that an agency will be automatically created. The name of the automatically created agency is dis_admin_agency.

Maximum: 64

deliver_time_interval | Integer | User-defined interval at which data is imported from the current DIS stream into OBS. If no data is pushed to the DIS stream during the current interval, no dump file package will be generated. Value range: 30-900 Default value: 300 Unit: second Minimum: 30 Maximum: 900 Default: 300

consumer_strategy

String

Offset.

- LATEST: Maximum offset, indicating that the latest data will be extracted.
- TRIM_HORIZON: Minimum offset, indicating that the earliest data will be extracted.

Default value: LATEST

Default: LATEST

Enumeration values:

- LATEST
- TRIM_HORIZON

mrs_cluster_name | String | Name of the MRS cluster to which data in the DIS stream will be dumped. Note: Only MRS clusters with non-Kerberos authentication are supported.
mrs_cluster_id | String | ID of the MRS cluster to which data in the DIS stream will be dumped.
mrs_hdfs_path | String | Hadoop Distributed File System (HDFS) path of the MRS cluster to which data in the DIS stream will be dumped.
file_prefix | String | Self-defined directory created in the OBS bucket and used to temporarily store data in the DIS stream. Directory levels are separated by slashes (/) and cannot start with slashes. The value can contain a maximum of 50 characters, including letters, digits, underscores (_), and slashes (/). This parameter is left empty by default.
hdfs_prefix_folder | String | Directory to store files that will be dumped to the chosen MRS cluster. Different directory levels are separated by slash (/). Value range: a string of 0 to 50 characters This parameter is left empty by default.
obs_bucket_path | String | Name of the OBS bucket used to temporarily store data in the DIS stream.
retry_duration | String | Time duration for DIS to retry if data fails to be dumped. If the retry time exceeds the value of this parameter, the data that fails to be dumped is backed up to the OBS bucket/file_prefix/mrs_error directory. Value range: 0-7,200 Unit: second Default value: 1,800 If this parameter is set to 0, DIS does not retry when the dump fails.

Table 10 DliDestinationDescriptorRequest
Parameter | Type | Description
--- | --- | ---
task_name | String | Name of the dump task. The task name consists of letters, digits, hyphens (-), and underscores (_). It must be a string of 1 to 64 characters.

agency_name

String

Name of the agency created on IAM. DIS uses an agency to access your specified resources. The parameters for creating an agency are as follows:

- Agency Type: Cloud service
- Cloud Service: DIS
- Validity Period: unlimited
- Scope: Global service, Project: OBS. Select the Tenant Administrator role for the global service project.

If agencies have been created, you can obtain available agencies from the agency list by using the "Listing Agencies " API.

This parameter cannot be left blank and the parameter value cannot exceed 64 characters.

If there are dump tasks on the console, the system displays a message indicating that an agency will be automatically created. The name of the automatically created agency is dis_admin_agency.

Maximum: 64

deliver_time_interval | Integer | User-defined interval at which data is imported from the current DIS stream into OBS. If no data is pushed to the DIS stream during the current interval, no dump file package will be generated. Value range: 30-900 Default value: 300 Unit: second Minimum: 30 Maximum: 900 Default: 300

consumer_strategy

String

Offset.

- LATEST: Maximum offset, indicating that the latest data will be extracted.
- TRIM_HORIZON: Minimum offset, indicating that the earliest data will be extracted.

Default value: LATEST

Default: LATEST

Enumeration values:

- LATEST
- TRIM_HORIZON

dli_database_name | String | Name of the DLI database to which data in the DIS stream will be dumped.
dli_table_name | String | Name of the DLI table to which data in the DIS stream will be dumped. Note: Only tables whose data location is DLI are supported, and you must have the permission to insert data into the tables.
obs_bucket_path | String | Name of the OBS bucket used to temporarily store data in the DIS stream.
file_prefix | String | Self-defined directory created in the OBS bucket and used to temporarily store data in the DIS stream. Directory levels are separated by slashes (/) and cannot start with slashes. The value can contain a maximum of 50 characters, including letters, digits, underscores (_), and slashes (/). This parameter is left empty by default.
retry_duration | String | Time duration for DIS to retry if data fails to be dumped to DLI. If the retry time exceeds the value of this parameter, the data that fails to be dumped is backed up to the OBS bucket/file_prefix/dli_error directory. Value range: 0-7,200 Unit: second Default value: 1,800 If this parameter is set to 0, DIS does not retry when the dump fails.

Table 11 CloudtableDestinationDescriptorRequest
Parameter | Type | Description
--- | --- | ---
task_name | String | Name of the dump task. The task name consists of letters, digits, hyphens (-), and underscores (_). It must be a string of 1 to 64 characters.

agency_name

String

Name of the agency created on IAM. DIS uses an agency to access your specified resources. The parameters for creating an agency are as follows:

- Agency Type: Cloud service
- Cloud Service: DIS
- Validity Period: unlimited
- Scope: Global service, Project: OBS. Select the Tenant Administrator role for the global service project.

If agencies have been created, you can obtain available agencies from the agency list by using the "Listing Agencies " API.

This parameter cannot be left blank and the parameter value cannot exceed 64 characters.

If there are dump tasks on the console, the system displays a message indicating that an agency will be automatically created. The name of the automatically created agency is dis_admin_agency.

Maximum: 64

deliver_time_interval | Integer | User-defined interval at which data is imported from the current DIS stream into OBS. If no data is pushed to the DIS stream during the current interval, no dump file package will be generated. Value range: 30-900 Default value: 300 Unit: second Minimum: 30 Maximum: 900 Default: 300

consumer_strategy

String

Offset.

- LATEST: Maximum offset, indicating that the latest data will be extracted.
- TRIM_HORIZON: Minimum offset, indicating that the earliest data will be extracted.

Default value: LATEST

Default: LATEST

Enumeration values:

- LATEST
- TRIM_HORIZON

cloudtable_cluster_name | String | Name of the CloudTable cluster to which data will be dumped. If you choose to dump data to OpenTSDB, OpenTSDB must be enabled for the cluster.
cloudtable_cluster_id | String | ID of the CloudTable cluster to which data will be dumped. If you choose to dump data to OpenTSDB, OpenTSDB must be enabled for the cluster.
cloudtable_table_name | String | HBase table name of the CloudTable cluster to which data will be dumped. The parameter is mandatory when data is dumped to the CloudTable HBase.
cloudtable_schema | CloudtableSchema object | Schema configuration of the CloudTable HBase data. You can set either this parameter or opentsdb_schema, but this parameter is mandatory when data will be dumped to HBase. After this parameter is set, the JSON data in the stream can be converted to another format and then be imported to the CloudTable HBase.
opentsdb_schema | Array of OpenTSDBSchema objects | Schema configuration of the CloudTable OpenTSDB data. You can set either this parameter or opentsdb_schema, but this parameter is mandatory when data will be dumped to OpenTSDB. After this parameter is set, the JSON data in the stream can be converted to another format and then be imported to the CloudTable OpenTSDB.
cloudtable_row_key_delimiter | String | Delimiter used to separate the user data that generates HBase row keys. Value range: , . | ; \ - _ and ~ Default value: .
obs_backup_bucket_path | String | Name of the OBS bucket used to back up data that failed to be dumped to CloudTable.
backup_file_prefix | String | Self-defined directory created in the OBS bucket and used to back up data that failed to be dumped to CloudTable. Directory levels are separated by slashes (/) and cannot start with slashes. Value range: a string of letters, digits, and underscores (_) The maximum length is 50 characters. This parameter is left empty by default.
retry_duration | String | Time duration for DIS to retry if data fails to be dumped to CloudTable. If this threshold is exceeded, the data that fails to be dumped will be backed up to the OBS bucket/backup_file_prefix /cloudtable_error or OBS bucket/backup_file_prefix/opentsdb_error directory. Value range: 0-7,200 Unit: second Default value: 1,800

Table 12 CloudtableSchema
Parameter | Type | Description
--- | --- | ---
row_key | Array of RowKey objects | HBase rowkey schema used by the CloudTable cluster to convert JSON data into HBase rowkeys. Value range: 1-64
columns | Array of Column objects | HBase column schema used by the CloudTable cluster to convert JSON data into HBase columns. Value range: 1 to 4,096

Table 13 RowKey
Parameter | Type | Description
--- | --- | ---
value | String | JSON attribute name, which is used to generate HBase rowkeys for JSON data in the DIS stream.

type

String

JSON attribute type of JSON data in the DIS stream. Value range:

- Bigint
- Double
- Boolean
- Timestamp
- String
- Decimal

Enumeration values:

- Bigint
- Double
- Boolean
- Timestamp
- String
- Decimal

Table 14 Column
Parameter | Type | Description
--- | --- | ---
column_family_name | String | Name of the HBase column family to which data will be dumped.
column_name | String | Name of the HBase column to which data will be dumped. Value range: a string of 1 to 32 characters, consisting of only letters, digits, and underscores (_)
value | String | JSON attribute name, which is used to generate HBase column values for JSON data in the DIS stream.

type

String

JSON attribute type of JSON data in the DIS stream.

Value range:

- Bigint
- Double
- Boolean
- Timestamp
- String
- Decimal

Enumeration values:

- Bigint
- Double
- Boolean
- Timestamp
- String
- Decimal

Table 15 OpenTSDBSchema
Parameter | Type | Description
--- | --- | ---
metric | Array of OpenTSDBMetric objects | Schema configuration of the OpenTSDB data metric in the CloudTable cluster. After this parameter is set, the JSON data in the stream can be converted to the metric of the OpenTSDB data.
timestamp | OpenTSDBTimestamp object | Schema configuration of the OpenTSDB data timestamp in the CloudTable cluster. After this parameter is set, the JSON data in the stream can be converted to the timestamp of the OpenTSDB data.
value | OpenTSDBValue object | Schema configuration of the OpenTSDB data value in the CloudTable cluster. After this parameter is set, the JSON data in the stream can be converted to the value of the OpenTSDB data.
tags | Array of OpenTSDBTags objects | Schema configuration of the OpenTSDB data tags in the CloudTable cluster. After this parameter is set, the JSON data in the stream can be converted to the tags of the OpenTSDB data.

Table 16 OpenTSDBMetric
Parameter | Type | Description
--- | --- | ---

type

String

- When type is set to Constant, the value of metric is the value of Value.
- When value is set to String, the value of metric is the value of the JSON attribute of the user data in the stream.

Enumeration values:

- Constant
- String

value | String | Constant value or JSON attribute name of the user data in the stream. This value is 1 to 32 characters long. Only letters, digits, and periods (.) are allowed.

Table 17 OpenTSDBTimestamp
Parameter | Type | Description
--- | --- | ---

type

String

- When type is set to Timestamp, the value type of the JSON attribute of the user data in the stream is Timestamp, and the timestamp of OpenTSDB can be generated without converting the data format.
- When type is set to String, the value type of the JSON attribute of the user data in the stream is Date, and the timestamp of OpenTSDB can be generated only after the data format is converted.

value | String | JSON attribute name of the user data in the stream. Value range: a string of 1 to 32 characters, consisting of only letters, digits, and underscores (_)

format

String

This parameter is mandatory when type is set to String. When the value type of the JSON attribute of the user data in the stream is Date, format is required to convert the data format to generate the timestamp of OpenTSDB.

Value range:

- yyyy/MM/dd HH:mm:ss
- MM/dd/yyyy HH:mm:ss
- dd/MM/yyyy HH:mm:ss
- yyyy-MM-dd HH:mm:ss
- MM-dd-yyyy HH:mm:ss
- dd-MM-yyyy HH:mm:ss

Enumeration values:

- yyyy/MM/dd HH:mm:ss
- MM/dd/yyyy HH:mm:ss
- dd/MM/yyyy HH:mm:ss
- yyyy-MM-dd HH:mm:ss
- MM-dd-yyyy HH:mm:ss
- dd-MM-yyyy HH:mm:ss

Table 18 OpenTSDBValue
Parameter | Type | Description
--- | --- | ---

type

String

Dump destination. Possible values: Value range:

- Bigint
- Double
- Boolean
- Timestamp
- String
- Decimal

value | String | Constant value or JSON attribute name of the user data in the stream. Value range: a string of 1 to 32 characters, consisting of only letters, digits, and underscores (_)

Table 19 OpenTSDBTags
Parameter | Type | Description
--- | --- | ---
name | String | Tag name of the OpenTSDB data that stores the data in the stream. Value range: a string of 1 to 32 characters, consisting of only letters, digits, and underscores (_)

type

String

Type name of the JSON attribute of the user data in the stream.

Value range:

- Bigint
- Double
- Boolean
- Timestamp
- String
- Decimal

value | String | Constant value or JSON attribute name of the user data in the stream. Value range: a string of 1 to 32 characters, consisting of only letters, digits, and underscores (_)

#### Example Requests

Querying Dump Task Details

    GET https://{Endpoint}/v2/{project_id}/streams/{stream_name}/transfer-tasks/{task_name}

#### Example Responses

Status code: 200

Normal response.

    {
      "stream_id" : "RdMFID6edQdf8eDzc9e",
      "stream_name" : "newstream",
      "task_name" : "newtask",
      "task_id" : "As805BudhcH1lDs6gbn",
      "destination_type" : "OBS",
      "state" : "RUNNING",
      "create_time" : 1606554932552,
      "last_transfer_timestamp" : 1606984428612,
      "obs_destination_description" : {
        "agency_name" : "dis_admin_agency",
        "file_prefix\"" : "",
        "partition_format" : "yyyy/MM/dd",
        "obs_bucket_path" : "obsbucket",
        "deliver_time_interval" : 60,
        "consumer_strategy" : "LATEST",
        "retry_duration" : 0,
        "destination_file_type" : "text",
        "record_delimiter" : "\n"
      },
      "partitions" : [ {
        "partitionId" : "shardId-0000000000",
        "discard" : 0,
        "state" : "RUNNING",
        "last_transfer_timestamp" : 1606984428612,
        "last_transfer_offset" : 289897
      } ]
    }

#### Status Codes

Status Code | Description
--- | ---
200 | Normal response.

#### Error Codes

See Error Codes.

Parent topic: Dump Task Management